## org.eclipse.uml2.uml
Enum ParameterDirectionKind

    java.lang.Object
      java.lang.Enum<ParameterDirectionKind>
          org.eclipse.uml2.uml.ParameterDirectionKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ParameterDirectionKind>, org.eclipse.emf.common.util.Enumerator

    public enum ParameterDirectionKind

extends java.lang.Enum<ParameterDirectionKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Parameter Direction Kind', and utility methods for working with them. Parameter direction kind is an enumeration type that defines literals used to specify direction of parameters.

See Also:
  `UMLPackage.getParameterDirectionKind()`

Enum Constant Summary
`IN_LITERAL` The 'In' literal object
`INOUT_LITERAL` The 'Inout' literal object
`OUT_LITERAL` The 'Out' literal object
`RETURN_LITERAL` The 'Return' literal object

Field Summary
`static int` `IN` The 'In' literal value
`static int` `INOUT` The 'Inout' literal value
`static int` `OUT` The 'Out' literal value
`static int` `RETURN` The 'Return' literal value
`static java.util.List<ParameterDirectionKind>` `VALUES` A public read-only list of all the 'Parameter Direction Kind' enumerators

Method Summary
`static ParameterDirectionKind` `get(int value)` Returns the 'Parameter Direction Kind' literal with the specified integer value
`static ParameterDirectionKind` `get(java.lang.String literal)` Returns the 'Parameter Direction Kind' literal with the specified literal value
`static ParameterDirectionKind` `getByName(java.lang.String name)` Returns the 'Parameter Direction Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static ParameterDirectionKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParameterDirectionKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IN_LITERAL

    public static final ParameterDirectionKind IN_LITERAL

  The 'In' literal object.

  See Also:
    `IN`

### INOUT_LITERAL

    public static final ParameterDirectionKind INOUT_LITERAL

  The 'Inout' literal object.

  See Also:
    `INOUT`

### OUT_LITERAL

    public static final ParameterDirectionKind OUT_LITERAL

  The 'Out' literal object.

  See Also:
    `OUT`

### RETURN_LITERAL

    public static final ParameterDirectionKind RETURN_LITERAL

  The 'Return' literal object.

  See Also:
    `RETURN`

Field Detail

### IN

    public static final int IN

  The 'In' literal value. Indicates that parameter values are passed into the behavioral element by the caller.

  See Also:
    `IN_LITERAL`, Constant Field Values

### INOUT

    public static final int INOUT

  The 'Inout' literal value. Indicates that parameter values are passed into a behavioral element by the caller and then back out to the caller from the behavioral element.

  See Also:
    `INOUT_LITERAL`, Constant Field Values

### OUT

    public static final int OUT

  The 'Out' literal value. Indicates that parameter values are passed from a behavioral element out to the caller.

  See Also:
    `OUT_LITERAL`, Constant Field Values

### RETURN

    public static final int RETURN

  The 'Return' literal value. Indicates that parameter values are passed as return values from a behavioral element back to the caller.

  See Also:
    `RETURN_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<ParameterDirectionKind> VALUES

  A public read-only list of all the 'Parameter Direction Kind' enumerators.

Method Detail

### values

    public static final ParameterDirectionKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ParameterDirectionKind c : ParameterDirectionKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ParameterDirectionKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ParameterDirectionKind get(java.lang.String literal)

  Returns the 'Parameter Direction Kind' literal with the specified literal value.

### getByName

    public static ParameterDirectionKind getByName(java.lang.String name)

  Returns the 'Parameter Direction Kind' literal with the specified name.

### get

    public static ParameterDirectionKind get(int value)

  Returns the 'Parameter Direction Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ParameterDirectionKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.